Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Update gemspec (including minimum Ruby version to 2.3) #1329

Merged
merged 3 commits into from Mar 13, 2019

Conversation

Projects
None yet
1 participant
@presidentbeef
Copy link
Owner

presidentbeef commented Mar 11, 2019

  • Update minimum Ruby version to 2.3.0
  • Point to HTTPS version of the Brakeman site
  • Remove old, unused gem signing stuff

presidentbeef added some commits Mar 11, 2019

Require Ruby 2.3+
At the moment, Ruby 2.3 is the oldest branch of Ruby still receiving
security updates.
Remove gem signing code
Hasn't been used in a long time. Compare hashes from the release blog
post instead.

@presidentbeef presidentbeef merged commit 9ee5ebc into master Mar 13, 2019

5 checks passed

ci/circleci Your tests passed on CircleCI!
Details
codeclimate All good!
Details
codeclimate/diff-coverage 100% (90% threshold)
Details
codeclimate/total-coverage 94% (0.0% change)
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details

@presidentbeef presidentbeef deleted the gemspec_updates branch Mar 13, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.